### org.jfree.layouting.input.style.selectors.conditions

# Class OrCSSCondition

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.conditions.OrCSSCondition`

Implemented Interfaces:
  CombinatorCondition, Condition, CSSCondition, Serializable

`public final class OrCSSCondition`
`extends java.lang.Object`
`implements CombinatorCondition, CSSCondition`

Creation-Date: 24.11.2005, 19:45:12

Author:
  Thomas Morgner

  ## Constructor Summary

  `OrCSSCondition(CSSCondition firstCondition, CSSCondition secondCondition)`

  ## Method Summary

  `short`

  `getConditionType()`
    An integer indicating the type of `Condition`.

  `Condition`

  `getFirstCondition()`
    Returns the first condition.

  `Condition`

  `getSecondCondition()`
    Returns the second condition.

  `boolean`

  `isMatch(Object resolveState)`

## Constructor Details

### OrCSSCondition

    public OrCSSCondition(CSSCondition firstCondition,
                          CSSCondition secondCondition)

## Method Details

### getConditionType

    public short getConditionType()

> An integer indicating the type of `Condition`.

### getFirstCondition

    public Condition getFirstCondition()

> Returns the first condition.

### getSecondCondition

    public Condition getSecondCondition()

> Returns the second condition.

### isMatch

    public boolean isMatch(Object resolveState)

> Specified by:
>   isMatch in interface CSSCondition